##### 7.5.12.0. facFirstWeyl

Procedure from library `ncfactor.lib` (see ncfactor_lib).

Usage:
  facFirstWeyl(h); h a polynomial in the first Weyl algebra

Return:
  list

Purpose:
  compute all factorizations of a polynomial in the first Weyl algebra

Theory:
  This function is a wrapper for facWeyl. It exists to make this library downward-compatible with older versions.

Assume:
  basering is the first Weyl algebra

Note:
  Every entry of the output list is a list with factors for one possible factorization. The first factor is always a constant (1, if no nontrivial constant could be excluded).

Example:

    LIB "ncfactor.lib";
    ring R = 0,(x,y),dp;
    def r = nc_algebra(1,1);
    setring(r);
    poly h = (x^2*y^2+x)*(x+1);
    facFirstWeyl(h);
    ==> [1]:
    ==>    [1]:
    ==> 1
    ==>    [2]:
    ==>       x
    ==>    [3]:
    ==>       xy2+1
    ==>    [4]:
    ==>       x+1

See also: facShift; facSubWeyl; testNCfac.

User manual for Singular version 4.4.1, 2025, generated by texi2html.